#ssl_certificate      /var/www/tmp_ssl/blogexample.crt;
#ssl_certificate_key  /var/www/tmp_ssl/blogexample.key;

server {
	listen 80;
	return 301 https://$host$request_uri;
}
server {
	listen 443 ssl http2;

	ssl_certificate      /etc/letsencrypt/live/{{ backend_hostname }}/fullchain.pem;
	ssl_certificate_key  /etc/letsencrypt/live/{{ backend_hostname }}/privkey.pem;

	root /var/www/{{ backend_hostname }};

	index index.html;

	server_name {{ backend_hostname }};

	charset utf-8;

	add_header 'Access-Control-Allow-Origin' 'https://{{ frontend_hostname }}';
	add_header 'Access-Control-Allow-Methods' 'POST, GET, OPTIONS, PUT, DELETE';
	add_header 'Access-Control-Allow-Headers' 'Content-Type, Accept, Authorization';

	location /favicon.ico { log_not_found off; access_log off;}
	location /robots.txt  { log_not_found off; access_log off;}

	access_log /var/log/nginx/{{ backend_hostname }}-access.log;
	error_log /var/log/nginx/{{ backend_hostname }}-error.log;

	location / {
		try_files $uri @api.blogexample;
	}
	location @api.blogexample {
		include uwsgi_params;
		uwsgi_pass unix:/run/uwsgi/{{ backend_hostname }}.sock;
	}
}

server {
	listen 443 ssl http2;

	ssl_certificate      /etc/letsencrypt/live/{{ frontend_hostname }}/fullchain.pem;
	ssl_certificate_key  /etc/letsencrypt/live/{{ frontend_hostname }}/privkey.pem;

	root /var/www/{{ frontend_hostname }};

	index index.html;

	server_name {{ frontend_hostname }};

	charset utf-8;

	location /favicon.ico { log_not_found off; access_log off;}
	location /robots.txt  { log_not_found off; access_log off;}

	access_log /var/log/nginx/{{ frontend_hostname }}-access.log;
	error_log /var/log/nginx/{{ frontend_hostname }}-error.log;

	location / {
		try_files $uri $uri/ /index.html;
	}
}

server {
	listen 443 ssl http2;
  
	ssl_certificate      /etc/letsencrypt/live/{{ static_hostname }}/fullchain.pem;
	ssl_certificate_key  /etc/letsencrypt/live/{{ static_hostname }}/privkey.pem;

 	root /var/www/{{ backend_hostname }}/pyfilm/static/images;

	index index.html;

	server_name {{ static_hostname }};

	charset utf-8;

	location /favicon.ico { log_not_found off; access_log off;}
	location /robots.txt  { log_not_found off; access_log off;}

	access_log off;
	error_log off;

	location / {
		try_files $uri $uri/ =404;
	}
}
